# Unit multiboot

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Include->`Multiboot` - `Multiboot` Structures & Access.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `elf_section_header_table_t` |
Packed Record `multiboot_info_t` |
Packed Record `module_t` |
Packed Record `memory_map_t` |

### Types

`Pelf_section_header_table_t = ˆelf_section_header_table_t;`
`Pmultiboot_info_t = ˆmultiboot_info_t;`
`Pmodule_t = ˆmodule_t;`
`Pmemory_map_t = ˆmemory_map_t;`

### Constants

`KERNEL_STACKSIZE = $4000;`
`MULTIBOOT_BOOTLOADER_MAGIC = $2BADB002;`

### Variables

`multibootinfo: Pmultiboot_info_t = nil;`
`multibootmagic: uint32;`

## Description

### Types

`Pelf_section_header_table_t = ˆelf_section_header_table_t;`

`Pmultiboot_info_t = ˆmultiboot_info_t;`

`Pmodule_t = ˆmodule_t;`

`Pmemory_map_t = ˆmemory_map_t;`

### Constants

`KERNEL_STACKSIZE = $4000;`

`MULTIBOOT_BOOTLOADER_MAGIC = $2BADB002;`

### Variables

`multibootinfo: Pmultiboot_info_t = nil;`

`multibootmagic: uint32;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.